18 11
Sign in to rate

AwesomeTTS for Anki 2.1 updated again

0.18MB. Updated 2019-06-12. Only supports Anki 2.1.x.

Description

the lastest AwesomeTTs release has a bug, when you open the menu which include AwesomeTTs, there will be two same icon appear. Since the original author can't continue to update and maintain the plug-in, Damien Elmes suggested I take over the maintenance of the software

Download

As add-ons are programs downloaded from the internet, they are potentially malicious. You should only download add-ons you trust.

To download this add-on, please copy and paste the following code into Anki 2.1:

2139632824

If you were linked to this page from the internet, please open Anki on your computer, go to the Tools menu and then Add-ons>Browse & Install to paste in the code.

All Anki 2.1.x Add-Ons Ask a Question

Reviews

on 1581707095
Please update for version 2.1.20

An add-on you installed failed to load. If problems persist, please go to the Tools>Add-ons menu, and disable or delete the add-on.

When loading 'AwesomeTTS for Anki 21 updated again':
Traceback (most recent call last):
File "aqt/addons.py", line 205, in loadAddons
File "/home/user/.local/share/Anki2/addons21/2139632824/__init__.py", line 42, in <module>
from . import awesometts # noqa, pylint:disable=wrong-import-position
File "/home/user/.local/share/Anki2/addons21/2139632824/awesometts/__init__.py", line 36, in <module>
from .player import Player
File "/home/user/.local/share/Anki2/addons21/2139632824/awesometts/player.py", line 25, in <module>
from .text import RE_FILENAMES
File "/home/user/.local/share/Anki2/addons21/2139632824/awesometts/text.py", line 35, in <module>
RE_CLOZE_BRACED = re.compile(anki.template.template.clozeReg % r'\d+')
AttributeError: module 'anki.template' has no attribute 'template'
on 1580600652
If the add-on doesn't work... In add-ons go to "View Files" - then "awesometts" - right click "router" and open with "notepad" - Find three times "async" (async=True) (async=False can be used) (if async:) and replace all for "asnync_variable (async_variable=True) (async_variable=False can be used) (if async_variable:) and save the file. Then close and open the Anki again.
on 1580311342
Error...

When loading 'AwesomeTTS for Anki 21 updated again':
Traceback (most recent call last):
File "aqt/addons.py", line 97, in loadAddons
File "/Users/.../Library/Application Support/Anki2/addons21/2139632824/__init__.py", line 42, in <module>
from . import awesometts # noqa, pylint:disable=wrong-import-position
File "/Users/.../Library/Application Support/Anki2/addons21/2139632824/awesometts/__init__.py", line 37, in <module>
from .router import Router
File "/Users/.../Library/Application Support/Anki2/addons21/2139632824/awesometts/router.py", line 335
want_human=False, note=None, async=True):
^
SyntaxError: invalid syntax
on 1580122148
osx 10.14.6 (Mojave)
Version 2.1.19 (3c8690ae)
Python 3.8.0 Qt 5.14.0 PyQt 5.13.2

When loading 'AwesomeTTS for Anki 21 updated again':
Traceback (most recent call last):
File "aqt/addons.py", line 97, in loadAddons
File "/Users/.../Library/Application Support/Anki2/addons21/2139632824/__init__.py", line 42, in <module>
from . import awesometts # noqa, pylint:disable=wrong-import-position
File "/Users/.../Library/Application Support/Anki2/addons21/2139632824/awesometts/__init__.py", line 37, in <module>
from .router import Router
File "/Users/.../Library/Application Support/Anki2/addons21/2139632824/awesometts/router.py", line 335
want_human=False, note=None, async=True):
^
SyntaxError: invalid syntax
on 1579279619
With the update to Anki 2.1.19, the router.py file will need to be edited as shown here: https://github.com/AwesomeTTS/awesometts-anki-addon/commit/588341a12912f0ccef417c1c2d9a362c01f7f7f8. Evidently, 'async' is a reserved word in python 3.8 so you will need to rename that variable to 'async_variable'. After I made these edits, this add-on worked for me.
on 1579182694
Hello,
is it possibe to add https://www.dict.cc/ to Awesome TTS addon, here is how I get the audio manually from the site:
1-I clich "Optionen" under the search square or on this link https://www.dict.cc/dict/options.php
2-I scroll down from the left menu, under "Sprachausgabeformat" I choose "wav" instead of "mp3" and then click "Optionen Speichern"
3-After that I search the words I need and I can download the audio manually using "internet Download Manager"
on 1579000270
It is an older version!
I compared in the source code and found more errors than that in https://ankiweb.net/shared/info/814349176
on 1578419163
It works well! I only found it won't pronounce "vis-à-vis" correctly.
on 1576787407
work great
on 1576534730
2139632824
on 1576425777
It did so well for me, thank you very much!
on 1574819172
Great add-on, but the Command + T, or ctrl + T, is no longer bringing up the proper menu. It really slows down the use. Not sure if anyone else is having this trouble.
on 1574501280
The original plugin adds two icons in the card editor and plays the audio twice. This addon plays the audio fine but it adds NO ICON to the card editor so you can easily add different tts to your cards. Other than this it works. I'm using OS:Mint 19 (Ubuntu 18.04) Anki Version2.1.15 (442df9d6) Qt 5.12.1 PyQt 5.11.3. Anyways thank for your effort updating this amazin plugin
on 1574001119
It's working!
on 1572394970
If it sleeps for 30 seconds you can manually change that in MP3 tab in TTS settings. It allows you to set it minimum to 15 s, but you can change the amount of operations after which cooldown will proceed
on 1569402746
Good!Without duplicate menu and sound icon in Anki 2.1.x
on 1568831253
VoiceText (my prefered source) works good with this version (even with the Emotion feature).
And pretty quick between words too (even when overwriting).
And no double icon.
Great job on this AddOn. It kept me using Anki 2.1 :)
on 1568112873
very nice
on 1567582683
Thanks for picking this up! The plugin is very useful.
Unfortunately, I didn't manage to get this version to work with eSpeak and had to downgrade to anki 2.0 and the old version of the plugin. So it's a "-" for now. Will be happy to put thumbs up once it's got fixed.
on 1565069555
WHY doesn't TTS work for *Oxford dictionary* ???

this error occurs when I wanna use it:
"cannot preview the input phrase with these settings.
Request got audio/mpeg Content-Type for web request; wanted binary/octet-stream"
on 1564933622
TTS for Oxford dictionary is not working. Could you please fix?
on 1564781248
When I select: for a braced clozed marker, replace w/ deleted text (i.e. the answer to the cloze) it simply replaces the cloze with the letter "c' in the recording... No idea how to fix and is very frustrating

I just want it to record the answer to the cloze in the extra box of all my cloze cards
on 1563874868
Well it is taking and exceedingly long time to convert my cards to mp3 files. It is taking about thirty seconds "sleeping" in between words. Anyone know if this is something that can be fixed?
on 1563474456
Not a rating, but I just want to say that the only reason I still use Anki 2.0 is because that is the only version with a stable AwesomeTTS. Hopefully someone can take on the mantle for Anki 2.1, but until then I will stick with using Anki 2.0.
on 1562248857
it can't work
on 1560897855
download worked for me
on 1560546470
How can I install it? I'm using Anki Version 2.1.13 and trying to install it using the code 2139632824, but it keeps showing "Invalid code, or add-on not available"
on 1560537072
Thank you for updating.
But unfortunately, it couldn't download for Anki 2.1, it shows"Error downloading 2139632824: Invalid code, or add-on not available for your version of Anki."
on 1560383156
AwesomeTTS maintainers are dropping like flies,
but I am glad to hear that you are giving this a try.

Cheers!